GET
/api/v1/storage/buckets/{bucket_name}/lock/object/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/storage/buckets/{bucket_name}/lock/object/?object_name=<OBJECT_NAME>&project_id=<PROJECT_ID>&location=<LOCATION>&version_id=<VERSION_ID>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/storage/buckets/{bucket_name}/lock/object/", params={"object_name": "<OBJECT_NAME>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "version_id": "<VERSION_ID>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/storage/buckets/{bucket_name}/lock/object/");url.search = new URLSearchParams({ object_name: "<OBJECT_NAME>", project_id: "<PROJECT_ID>", location: "<LOCATION>", version_id: "<VERSION_ID>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());This API allows users to check the governance lock status of an object.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”bucket_name
required
string
Bucket Name
Query Parameters
Section titled “Query Parameters”object_name
required
string
Object Name with Directory.
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
version_id
required
string
Example
740d0a130b0745ebb036bb866c87f847Version ID
Responses
Section titled “Responses”Response showing the object lock status and retention details
Media typeapplication/json
object
code
integer
data
object
bucket_name
string
object_name
string
version_id
string
lock_mode
string
retained_until
string format: date-time
retention_days_remaining
number format: float
errors
object
message
string
Example
{ "code": 200, "data": { "bucket_name": "example-bucket", "object_name": "example-object.png", "version_id": "123e4567-e89b-12d3-a456-426614174000", "lock_mode": "GOVERNANCE", "retained_until": "2025-05-30T10:35:38.167000+00:00", "retention_days_remaining": 2.95 }, "errors": {}, "message": "Success"}